/*
 * adc.c
 *
 *  Created on: 06.04.2012
 *      Author: Frank
 */
#include "adc.h"

uint8_t readADC(uint8_t mux)
{
	ADMUX &= 0b11100000;
	ADMUX |= mux;
//	ADMUX = (1 << REFS0) | (1 << ADLAR) | mux;
	ADCSRA |= (1 << ADSC);	//starte Konvertierung
	while (ADCSRA & (1 << ADSC));
	return ADCH;
}


void init_adc()
{
	/** AD-Wandler initialisieren **/
	ADCSRA = (1 << ADPS1) | (1 << ADPS2);   // Frequenzvorteiler setzen auf 64
	ADMUX =  (1 << REFS0) | (1 << ADLAR);	// HighByte hat bits 9..2
	ADCSRA |= (1 << ADEN);					// ADC einschalten
	//Dummy-Messung:
	ADCSRA |= (1 << ADSC);              	// eine ADC-Wandlung
	while (ADCSRA & (1 << ADSC));     		// auf Abschluss der Konvertierung warten
}
