#include "spi.h"


void initSPI(void)
{
	//Enable,Master, kein Vorteiler
	SPCR = (1 << SPE) | (1 << MSTR);

	//double speed, d.h. fspi = fcpu / 2
	SPSR = (1 << SPI2X);
	//SS-Leitung high == kein Datenverkehr
	PORTB |= (1 << SS);	
}


uint8_t spi_putc(uint8_t data)
{
	SPDR = data;

	// Wartet bis Byte gesendet wurde
	while(!(SPSR & (1 << SPIF)))
	{
	        ;
	}

	return SPDR;
}
