/*
 * komfort_main.h
 *
 *  Created on: 06.04.2012
 *      Author: Frank
 */
#ifndef KOMFORT_MAIN_H_
#define KOMFORT_MAIN_H_

#include <avr/io.h>
#include <inttypes.h>
#include <avr/interrupt.h>

#include "adc.h"
#include "can.h"
#include "uart.h"
#include "spi.h"
#include "joystick.h"
#include "msg.h"
//#include <i2c/i2cmaster.h>
#include "display.h"



volatile uint8_t event;


enum Prog {NONE, PROG1, PROG2, PROG3, PROG4, PROG5, KOMFORT, PROFILINE, KOMFORTZplus};			// NONE = 0, PROG1 = 1, ...
enum Prog Prog;

/*
// Programm 1
// Programm 2
// Programm 3
*/
extern void program1(const struct JOYSTICK* j, union MSG* msg);
extern void program2(const struct JOYSTICK* j, union MSG* msg);



#endif /* KOMFORT_MAIN_H_ */
